package example.android.intentsample1;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.ImageView;

public class SecondActivity extends Activity {
    // onCreate\bh(ʏ\Cxgnh)
    @Override
    public void onCreate(Bundle savedInstanceState) {
        // X[p[NXonCreate\bhĂяo
        super.onCreate(savedInstanceState);
        // CAEgݒt@C̎w
        setContentView(R.layout.secondlayout);
        
        // Ceg擾
        Intent data = getIntent();
        // Ceg̕t擾
        Bundle extras = data.getExtras();
        // t񂩂Iꂽl擾
        String disp_pict = extras != null ? extras.getString("SELECTED_PICT") : "";

        // ImageViewIuWFNg擾
        ImageView image = (ImageView) findViewById(R.id.fruitimage);
        
        // \摜̐ݒ
        if ( disp_pict.equals("Apple") ) {
            image.setImageResource(R.drawable.apple);
        }
        else if ( disp_pict.equals("Banana") ) {
            image.setImageResource(R.drawable.banana);
        }
        else if ( disp_pict.equals("Grape") ) {
            image.setImageResource(R.drawable.grape);
        }
        
        // ButtonIuWFNg擾
        Button button = (Button)findViewById(R.id.backbutton);
        // {^IuWFNgɃNbNXi[ݒ
        button.setOnClickListener(new ButtonClickListener());
    }
    // NbNXi[`
    class ButtonClickListener implements OnClickListener {
        // onClick\bh({^NbNCxgnh)
        @Override
        public void onClick(View v) {
        	// ANeBreBI(ʃN[Y)
        	finish();
        }
    }
}
