package example.android.contentprovidersample2;

import android.app.Activity;
import android.database.Cursor;
import android.os.Bundle;
import android.provider.ContactsContract.Contacts;
import android.util.Log;
import android.widget.LinearLayout;
import android.widget.TableLayout;
import android.widget.TableRow;
import android.widget.TextView;

public class ContentProviderSample2Activity extends Activity {
	TableLayout tablelayout = null;
	
    // onCreate\bh(ʏ\Cxgnh)
    @Override
    public void onCreate(Bundle savedInstanceState) {
        // X[p[NXonCreate\bhĂяo
        super.onCreate(savedInstanceState);
        // CAEgݒt@C̎w
        setContentView(R.layout.contentprovidersample2);
        
        // e[uCAEg擾
        tablelayout = (TableLayout)findViewById(R.id.tablelayout);
        
        try {
            // f[^擾
            Cursor cur = managedQuery(Contacts.CONTENT_URI,
                    				   null,
                    				   null,
                    				   null,
                    				   null);
            
            // f[^擾łꍇ
            if(cur.getCount() != 0){
            	// 擾f[^\
                while (cur.moveToNext()) {
                	String name = cur.getString(cur.getColumnIndex(Contacts.DISPLAY_NAME));
                    setItems(name);
                }
            }else{
            	TextView message = new TextView(this);
            	message.setText("f[^擾ł܂łB");
            	LinearLayout linearlayout = (LinearLayout)findViewById(R.id.linearlayout);
            	linearlayout.addView(message);
            }            
        } catch (Exception e) {
            Log.e("ERROR", e.getMessage());
        }

    }
    // setItems\bh(e[u\)
    private void setItems(String name) {
    	// Oݒ
        TableRow row = new TableRow(this);
        TextView displayName = new TextView(this);
        displayName.setText(name);
        row.addView(displayName);
        // e[uCAEgɐݒ
        tablelayout.addView(row);
    }
}