package example.android.implicitintentsample1;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ListView;
import android.widget.AdapterView.OnItemClickListener;

public class FirstActivity extends Activity {
    // onCreate\bh(ʏ\Cxgnh)
    @Override
    public void onCreate(Bundle savedInstanceState) {
        // X[p[NXonCreate\bhĂяo
        super.onCreate(savedInstanceState);
        // CAEgݒt@C̎w
        setContentView(R.layout.firstlayout);

        // ListViewIuWFNg擾
        ListView listview = (ListView) findViewById(R.id.fruitlist);
        // ListViewIuWFNgɃNbNXi[֘At
        listview.setOnItemClickListener(new ListItemClickListener());
    }

    // ACeNbNXi[`
    class ListItemClickListener implements OnItemClickListener {
        // onItemClick\bh(lICxgnh)
        public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
            // ListViewIuWFNg擾
            ListView listview = (ListView) parent;
            // Iꂽl擾
            String item = (String) listview.getItemAtPosition(position);
            
            // Ceg̐(f[^\ANVw)
            Intent intent = new Intent(Intent.ACTION_VIEW);
            
            // URIݒ
            String uriStr = "";
            if(item.equals("Apple")){
            	uriStr += "intentsample://fruit/apple?selecteditem="+item;
            }else if(item.equals("Banana")){
            	uriStr += "intentsample://fruit/banana?selecteditem="+item;
            }else if(item.equals("Grape")){
            	uriStr += "intentsample://fruit/grape?selecteditem="+item;
            }else{
            	uriStr += "intentsample://fruitall?selecteditem=all";
            }
            Uri uri = Uri.parse(uriStr);
            
            // URICegɐݒ
            intent.setData(uri);
            
            // ̃ANeBreB̋N
            startActivity(intent);
        }
    }
}